package com.ruoyi.ibs.list.domain;

import java.util.Objects;

public class CmpmUserList {
    String CmpmType;
    String cmpmUserList;
    String codeNoLevel1;
    String codeNoLevel2;

    public String getCodeNoLevel1() {
        return codeNoLevel1;
    }

    public void setCodeNoLevel1(String codeNoLevel1) {
        this.codeNoLevel1 = codeNoLevel1;
    }

    public String getCodeNoLevel2() {
        return codeNoLevel2;
    }

    public void setCodeNoLevel2(String codeNoLevel2) {
        this.codeNoLevel2 = codeNoLevel2;
    }

    public String getCmpmType() {
        return CmpmType;
    }

    public void setCmpmType(String cmpmType) {
        CmpmType = cmpmType;
    }

    public String getCmpmUserList() {
        return cmpmUserList;
    }

    public void setCmpmUserList(String cmpmUserList) {
        this.cmpmUserList = cmpmUserList;
    }

    public CmpmUserList(String cmpmType, String cmpmUserList, String codeNoLevel1, String codeNoLevel2) {
        CmpmType = cmpmType;
        this.cmpmUserList = cmpmUserList;
        this.codeNoLevel1 = codeNoLevel1;
        this.codeNoLevel2 = codeNoLevel2;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        CmpmUserList that = (CmpmUserList) o;
        return codeNoLevel1.equals(that.codeNoLevel1) &&
                codeNoLevel2.equals(that.codeNoLevel2);
    }

    @Override
    public int hashCode() {
        return Objects.hash(codeNoLevel1, codeNoLevel2);
    }
}
